#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 happstack-server
version:              7.9.0
visibility:           public
id:                   happstack-server-7.9.0-3gf1IHX8MB3Br0Gn7ksGxB
key:                  happstack-server-7.9.0-3gf1IHX8MB3Br0Gn7ksGxB
license:              BSD-3-Clause
maintainer:           Happstack team <happs@googlegroups.com>
author:               Happstack team, HAppS LLC
homepage:             http://happstack.com
synopsis:             Web related tools and services.
description:
    Happstack Server provides an HTTP server and a rich set of functions for routing requests, handling query parameters, generating responses, working with cookies, serving files, and more. For in-depth documentation see the Happstack Crash Course <http://happstack.com/docs/crashcourse/index.html>

category:             Web, Happstack
abi:                  f35f20f01bfc7176ace3889c859c23df
exposed:              True
exposed-modules:
    Happstack.Server Happstack.Server.Auth Happstack.Server.Compression
    Happstack.Server.Cookie Happstack.Server.Error
    Happstack.Server.FileServe
    Happstack.Server.FileServe.BuildingBlocks Happstack.Server.I18N
    Happstack.Server.Internal.Compression
    Happstack.Server.Internal.Cookie Happstack.Server.Internal.Handler
    Happstack.Server.Internal.Listen
    Happstack.Server.Internal.LogFormat
    Happstack.Server.Internal.LowLevel
    Happstack.Server.Internal.MessageWrap
    Happstack.Server.Internal.Monads
    Happstack.Server.Internal.Multipart
    Happstack.Server.Internal.RFC822Headers
    Happstack.Server.Internal.Socket
    Happstack.Server.Internal.TimeoutIO
    Happstack.Server.Internal.TimeoutManager
    Happstack.Server.Internal.TimeoutSocket
    Happstack.Server.Internal.Types Happstack.Server.Monads
    Happstack.Server.Response Happstack.Server.Routing
    Happstack.Server.RqData Happstack.Server.SURI
    Happstack.Server.SimpleHTTP Happstack.Server.Types
    Happstack.Server.Validation

hidden-modules:
    Happstack.Server.Internal.Clock Happstack.Server.Internal.LazyLiner
    Happstack.Server.SURI.ParseURI Paths_happstack_server

import-dirs:          /usr/lib/ghc-9.2.8/site-local/happstack-server-7.9.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/happstack-server-7.9.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happstack-server
hs-libraries:         HShappstack-server-7.9.0-3gf1IHX8MB3Br0Gn7ksGxB
depends:
    base-4.16.4.0 base64-bytestring-1.2.1.0-KehW0t3hOoS4G7xGmTcSMC
    blaze-html-0.9.1.2-EEuC7ZWs8XI25agGNnltL4 bytestring-0.11.4.0
    containers-0.6.5.1 directory-1.3.6.2 exceptions-0.10.4
    extensible-exceptions-0.1.1.4-D8VRIfPBfkhEPmMrxbU9lA
    filepath-1.4.2.2 hslogger-1.3.1.0-GvoQmZVucEbE0naRgkwDk2
    html-1.0.1.2-1i34Da0w7lMJxSeIv8hoxf
    monad-control-1.0.3.1-3cU4uKPyCfrJqsFwwVjNlh mtl-2.2.2
    network-3.1.4.0-42vrGNOyyN5EQENmFarxRS
    network-uri-2.6.4.2-J7hui0AsSfg69uicBnYp64
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7 parsec-3.1.15.0
    process-1.6.16.0 sendfile-0.7.11.5-23cnYag4GKF7pYGM9kLxdS
    syb-0.7.2.4-K6o0SZXz7fjG81XrpjawRT
    system-filepath-0.4.14-K8gmlgnezZJuaSwXMbCxS text-1.2.5.0
    threads-0.5.1.8-uxYzeyNtoR5FL4ufB8eTU time-1.11.1.1
    transformers-0.5.6.2 transformers-base-0.4.6-9OMjMe2Vj0DBq9sQ0P5ye6
    transformers-compat-0.7.2-9ApmiRwA3hS7UuQpOomcS unix-2.7.2.2
    utf8-string-1.0.2-CndrelvclEbJyymwdX0DqC xhtml-3000.2.2.1
    zlib-0.6.3.0-6JklbuqwVaBC4tiJ9FeSNT

haddock-interfaces:
    /usr/share/doc/haskell-happstack-server/html/happstack-server.haddock

haddock-html:         /usr/share/doc/haskell-happstack-server/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

